MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031706Open CASCADE[OCCT] OCCT:Data Exchangepublic2020-08-11 11:302020-09-05 12:35
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031706: Data Exchange, RWGltf_CafReader - imports model with incorrect transformation
DescriptionAttached glTF model is displayed incorrectly in OCCT 3D Viewer.

(model origin: https://github.com/KhronosGroup/glTF/tree/master/extensions/2.0/Vendor/AGI_articulations [^])
TagsNo tags attached.
Test case numberde_mesh/gltf_read/launchvehicle
Attached Filespng file icon cadass_launch_KO.png (69,066 bytes) 2020-08-11 11:30
png file icon cadass_launch_KO2.png (141,813 bytes) 2020-08-11 11:30
png file icon winviewer_launch_OK.png (349,977 bytes) 2020-08-11 11:31
? file icon bug31706_launchvehicle.glb (3,308,940 bytes) 2020-08-28 11:54

- Relationships
child of 0030691closedbugmaster Data Exchange - implement import of mesh data from files in glTF format 

-  Notes
(0093687)
git (administrator)
2020-08-28 12:51

Branch CR31706 has been created by kgv.

SHA-1: 1539bcc0e0546890ecd0606090a03f8aa10ddd69


Detailed log of new commits:

Author: kgv
Date: Fri Aug 28 12:53:51 2020 +0300

    0031706: Data Exchange, RWGltf_CafReader - imports model with incorrect transformation
    
    RWGltf_GltfJsonParser::bindNamedShape() - shape location is now multiplied not just overridden.
(0093690)
kgv (developer)
2020-08-28 13:50
edited on: 2020-08-28 13:50

Patch is ready for review:
- OCCT branch CR31706.

New test case required new bug31706_launchvehicle.glb model (attached to bug), which could be uploaded into PUBLIC section.

(0093692)
osa (developer)
2020-08-28 14:17

The patch was reviewed without remarks
(0093729)
bugmaster (administrator)
2020-08-30 11:01

Combination -
OCCT branch : IR-2020-08-28
master SHA - 68a23293059aefbc5feeb43dbbe92e728944f170
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-08-28 SHA - 231cf318a348ade96332c8dca2b8aa3ffa18d6cf
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17249.00000000021 / 17322.48000000014 [-0.42%]
Products
Total CPU difference: 12007.590000000067 / 11882.730000000085 [+1.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 18729.984375 / 18716.078125 [+0.07%]
Products
Total CPU difference: 13222.90625 / 13242.09375 [-0.14%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0094101)
git (administrator)
2020-09-05 12:35

Branch CR31706 has been deleted by inv.

SHA-1: 1539bcc0e0546890ecd0606090a03f8aa10ddd69

- Related Changesets
occt: master af7fa143
Timestamp: 2020-08-28 09:53:51
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031706: Data Exchange, RWGltf_CafReader - imports model with incorrect transformation

RWGltf_GltfJsonParser::bindNamedShape() - shape location is now multiplied not just overridden.
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff ] File ]
add - tests/de_mesh/gltf_read/launchvehicle Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-08-11 11:30 kgv New Issue
2020-08-11 11:30 kgv Assigned To => kgv
2020-08-11 11:30 kgv File Added: cadass_launch_KO.png
2020-08-11 11:30 kgv File Added: cadass_launch_KO2.png
2020-08-11 11:31 kgv File Added: winviewer_launch_OK.png
2020-08-11 11:31 kgv File Added: launchvehicle.glb
2020-08-11 11:32 kgv Relationship added child of 0030691
2020-08-11 11:35 kgv Description Updated View Revisions
2020-08-28 11:52 kgv File Added: bug31706_launchvehicle.glb
2020-08-28 11:52 kgv File Deleted: launchvehicle.glb
2020-08-28 11:53 kgv File Deleted: bug31706_launchvehicle.glb
2020-08-28 11:54 kgv File Added: bug31706_launchvehicle.glb
2020-08-28 12:51 git Note Added: 0093687
2020-08-28 13:50 kgv Note Added: 0093690
2020-08-28 13:50 kgv Assigned To kgv => osa
2020-08-28 13:50 kgv Status new => resolved
2020-08-28 13:50 kgv Note Edited: 0093690 View Revisions
2020-08-28 14:17 osa Note Added: 0093692
2020-08-28 14:17 osa Assigned To osa => bugmaster
2020-08-28 14:17 osa Status resolved => reviewed
2020-08-30 11:01 bugmaster Note Added: 0093729
2020-08-30 11:01 bugmaster Status reviewed => tested
2020-08-30 11:14 bugmaster Test case number => de_mesh/gltf_read/launchvehicle
2020-08-30 11:33 bugmaster Changeset attached => occt master af7fa143
2020-08-30 11:33 bugmaster Status tested => verified
2020-08-30 11:33 bugmaster Resolution open => fixed
2020-09-05 12:35 git Note Added: 0094101


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker